Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 198927 - net-misc/nxserver-freenx-0.7.1 fails to determine correct value for ENABLE_2_0_0_BACKEND if not explicitly set in node.conf
Summary: net-misc/nxserver-freenx-0.7.1 fails to determine correct value for ENABLE_2_...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-12 13:14 UTC by Bruno Redondi
Modified: 2007-12-03 20:02 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
fix for nxloadconfig script (nxserver-freenx-0.7.1-nxloadconfig_fixes.patch,587 bytes, patch)
2007-11-12 13:18 UTC, Bruno Redondi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Redondi 2007-11-12 13:14:26 UTC
if no value is specified for the variable ENABLE_2_0_0_BACKEND in node.conf, nxloadconfig tries to guess the correct value grepping $PATH_BIN/nxagent, but the real nxagent is in $REAL_PATH_BIN/nxagent, so a bad value is assumed.

Reproducible: Always
Comment 1 Bruno Redondi 2007-11-12 13:18:02 UTC
Created attachment 135823 [details, diff]
fix for nxloadconfig script
Comment 2 Bernard Cafarelli gentoo-dev 2007-11-26 12:50:43 UTC
Thanks, this was lost when updating the nxloadconfig patch

I fixed the patch in CVS for current 0.7.1, and will do a revbump as soon as I've looked in your other patches so all users get this fix
Comment 3 Bernard Cafarelli gentoo-dev 2007-12-03 20:02:45 UTC
nxserver-freenx-0.7.1-r1 added in portage so everyone gets the update